! ----------------------------------------------------------------------------------------------------------------
! ----------------------------------------------------------------------------------------------------------------

MODULE Bitmap
! ----------------------------------------------------------------------------------------------------------------

! PURPOSE: Set the parameters of the bitmap
! AUTHOR:  Ekaterina Kourzeneva, 
!          RSHU, 2009
! --------------------------------------------------------------------------------------------------------------

 IMPLICIT NONE
! ---------------------------------------------------------------------------------------------------------------
 
 INTEGER, PARAMETER :: NlonB = 43200, & ! Number of longitude pixels of the bitmap
                       NlatB = 21600    ! Number of latitude pixels of the bitmap
 INTEGER, PARAMETER :: PixSize = 30 ! Pixel size of the bitmap in seconds of arc

 CHARACTER(40), PARAMETER :: BitmapFile = 'bitmap' ! The bitmap file name

 INTEGER, PARAMETER :: LSeaECO=1,  &   !  Legends for sea, lake, river, ECOCLIMAP
                       LLakeECO=2, &
                       LRiverECO=3
 INTEGER, PARAMETER :: LSeaGLCC=15,    & !  Legends for sea, lake, other water bodies, GLCC 
                       LLakeGLCC=14,   & 
                       LOther1GLCC=74, &
                       LOther2GLCC=75
 INTEGER, PARAMETER :: LLakeGLWD=1,   & !  Legends for lake, reservoir, river, GLWD 
                       LResrvoirGLWD=2, &
                       LRiverGLWD=3

END MODULE Bitmap
! ------------------------------------------------------------------------------------------------------------ 
! ------------------------------------------------------------------------------------------------------------ 
